@charset "UTF-8";

/* --------------------------------------------
FONTS
--------------------------------------------- */
@font-face{
	font-family : "Noto Sans JP" , sans-serif;
	font-style : normal;
	font-weight : 100 900;
	font-optical-sizing : auto;
	src : url( "../fonts/Noto_Sans_JP/NotoSansJP-VariableFont_wght.woff2" ) format( "woff2" );
	font-display : swap;
}
:root{
	--fontFamily : "Noto Sans JP" , sans-serif;
}
@font-face{
	font-family : "Zen Kaku Gothic New" , sans-serif;
	font-style : normal;
	font-weight : 700;
	src : url( "../fonts/Zen_Kaku_Gothic_New/ZenKakuGothicNew-Bold.woff2" ) format( "woff2" );
	font-display : swap;
}
@font-face{
	font-family : "Zen Kaku Gothic New" , sans-serif;
	font-style : normal;
	font-weight : 500;
	src : url( "../fonts/Zen_Kaku_Gothic_New/ZenKakuGothicNew-Medium.woff2" ) format( "woff2" );
	font-display : swap;
}
@font-face{
	font-family : "Zen Kaku Gothic New" , sans-serif;
	font-style : normal;
	font-weight : 400;
	src : url( "../fonts/Zen_Kaku_Gothic_New/ZenKakuGothicNew-Regular.woff2" ) format( "woff2" );
	font-display : swap;
}

/* --------------------------------------------
UNIT
--------------------------------------------- */
@media screen and ( width <= 750px ){
	:root{
		--breakPoint : 375;
		--contentWidth : 335;
		--gutter : 20;
		--remBase : 100vw / var( --breakPoint );
		--viewportBase : 100% / var( --breakPoint );
	}
}
@media print , screen and ( width > 750px ){
	:root{
		--breakPoint : 1120;
		--contentWidth : 910;
		--gutter : 105;
		--remBase : min( 1px , 100vw / var( --breakPoint ) );
		--viewportBase : min( 1px , 100% / var( --breakPoint ) );
	}
}
:root{
	--contentBase : 100% / var( --contentWidth );
}

/* --------------------------------------------
COLOR
--------------------------------------------- */
@property --base{
	syntax : "<color>";
	inherits : false;
	initial-value : #333;
}
@property --blue{
	syntax : "<color>";
	inherits : false;
	initial-value : #21449b;
}
@property --cyan01{
	syntax : "<color>";
	inherits : false;
	initial-value : #69c7d7;
}
@property --cyan02{
	syntax : "<color>";
	inherits : false;
	initial-value : #aeebf1;
}
@property --cyan03{
	syntax : "<color>";
	inherits : false;
	initial-value : #effbfc;
}
@property --gold{
	syntax : "<color>";
	inherits : false;
	initial-value : #d7b566;
}
@property --pink{
	syntax : "<color>";
	inherits : false;
	initial-value : #ff6b6b;
}

/* --------------------------------------------
FILTER COLOR
--------------------------------------------- */
@property --filterWhite{
	syntax : "*";
	inherits : false;
	initial-value : invert( 99% ) sepia( 28% ) saturate( 2% ) hue-rotate( 3deg ) brightness( 108% ) contrast( 100% );
}
@property --filterCyan01{
	syntax : "*";
	inherits : false;
	initial-value : invert( 73% ) sepia( 25% ) saturate( 726% ) hue-rotate( 141deg ) brightness( 99% ) contrast( 79% );
}

/* --------------------------------------------
TRANSITION
--------------------------------------------- */
:root{
	--hoverDuration : .3s;
	--hoverTimingFunction : linear;
}

/* --------------------------------------------
REGULATE
--------------------------------------------- */
*{
	padding : 0;
	margin : 0;
}
* , *::before , *::after{
	box-sizing : border-box;
}
*:not(fieldset, progress, meter){
	background-repeat : no-repeat;
	background-origin : border-box;
	border-style : solid;
	border-width : 0;
}
:root{
	color-scheme : light;
}
:where( html ){
	block-size : 100%;
	-webkit-text-size-adjust : none;
	tab-size : 2;
	scrollbar-gutter : stable;
}
@media ( prefers-reduced-motion : no-preference ){
	html{
		scroll-behavior : smooth;
	}
}
:is( body:has( dialog[open] ) ){
	overflow : clip;
}
body{
	overflow-x : clip;
	overflow-y : auto;
	font-family : var( --fontFamily );
	font-weight : 400;
	font-optical-sizing : auto;
	line-height : 1;
	color : var( --base );
	word-break : normal;
	overflow-wrap : anywhere;
	text-rendering : optimizeLegibility;
	min-block-size : 100%;

	/* font-feature-settings: "palt" on; */
	scrollbar-gutter : stable;
	line-break : strict;
}
main{
	overflow-x : clip;
}
:where( p , h1 , h2 , h3 , h4 , h5 , h6 ){
	overflow-wrap : break-word;
}
:where( ul, ol ){
	list-style : none;
}
:where( a ){
	color : var( --base );
	-webkit-text-decoration : none;
	text-decoration : none;
	text-underline-offset : calc( ( 1lh - 1em ) / 2 );
	touch-action : manipulation;
	cursor : pointer;
	text-decoration-skip-ink : auto;
}
:where( picture ){
	display : block;
	font-size : 0;
}
:where( img ){
	image-rendering : -webkit-optimize-contrast;
}
:where( p , h1 , h2 , h3 , h4 , h5 , h6 , a , span ){
	&:has( > img:only-child ){
		font-size : 0;
		line-height : 1;
	}
}
:where( svg , video , canvas , audio , iframe , embed , object ){
	display : block;
}
:where( svg ){
	fill : currentColor;
	stroke : none;
}
:where( svg:not( [fill] ) ){
	fill : none;
	stroke : currentColor;
	stroke-linecap : round;
	stroke-linejoin : round;
}
:where( img , svg , video ){
	max-width : inherit;
	font-size : 0;
	vertical-align : top;
	inline-size : auto;
}
:where( button ){
	font : inherit;
	font-size : inherit;
	color : inherit;
	letter-spacing : inherit;
	touch-action : manipulation;
	cursor : pointer;
	background-color : transparent;
	&:focus , &:focus-visible{
		outline : none;
	}
}
:where( dialog , [popover] ){
	inset : unset;
	max-width : unset;
	max-width : 100%;
	max-height : unset;
	max-height : 100%;
	color : inherit;
	background : none;
	border : none;
}
:where( dialog:not( [open] ), [popover]:not( :popover-open ) ){
	display : none;
}
:where( summary  ){
	display : block;
	list-style : none;
}
:where( summary  ){
	&::-webkit-details-marker{
		display : none;
	}
}
:where( table ){
	border-collapse : collapse;
}
:where( em ,dfn ){
	font-style : normal;
}
:where( fieldset , legend ){
	all : unset;
	display : block;
}
:where( label:has( > input:disabled ) , label:has( + input:disabled ) ){
	cursor : not-allowed;
}
:where( label[for] , input,  select, summary, textarea ){
	touch-action : manipulation;
	cursor : pointer;
}
:where( input, textarea, select , input[type="file"]::-webkit-file-upload-button ){
	font-size : inherit;
	color : inherit;
	letter-spacing : inherit;
	background-color : inherit;
	outline : none;
	&:focus , &:focus-within , &:focus-visible{
		outline : none;
	}
}
:where( input[type="number"] ){
	&::-webkit-outer-spin-button ,
	&::-webkit-inner-spin-button{
		-webkit-appearance : none;
		margin : 0;
	}
}
:where( select ){
	appearance : none;
}
:where( input[type="button"] , input[type="search"] , input[type="submit"] , input[type="reset"] , input[type="file"]::-webkit-file-upload-button , input[type="file"]::file-selector-button ){
	-webkit-tap-highlight-color : transparent;
	-webkit-touch-callout : none;
	user-select : none;
}
:where( :disabled ){
	cursor : not-allowed;
}
:where( [type="button"] , [type="reset"] , [type="submit"] ){
	touch-action : manipulation;
}

/* --------------------------------------------
VIEW TRANSITION
--------------------------------------------- */
@view-transition{
	navigation : auto;
}

/* --------------------------------------------
PRINT
--------------------------------------------- */
@media print{
	body{
		width : 100%;
		overflow-x : hidden;
	}
	@page{
		margin : .5cm;
		margin-top : .4cm;
		size : a4 portrait;
	}
	.no-print{
		display : none;
	}
}